## qcoro 0.12.0

=== requirements.txt ===
setuptools
wheel
pymdown-extensions~=10.11
pygments~=2.19
mkdocs
mkdocs-material
mkdocs-section-index
mkdocs-include-markdown-plugin
mkdocs-macros-plugin
mkdocs-blogging-plugin
mkdocs-rss-plugin
