=== examples/CMakeLists.txt ===
add_subdirectory(basics)
if (QCORO_WITH_QTDBUS)
    add_subdirectory(dbus)
endif()
if (QCORO_WITH_QTNETWORK)
    add_subdirectory(network)
endif()
if (QCORO_QT_HAS_COMPAT_ABI)
    add_subdirectory(future)
endif()
add_subdirectory(iodevice)
add_subdirectory(timer)
add_subdirectory(chained)
add_subdirectory(background-task)
