=== examples/dbus/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(regular-blocking)
add_subdirectory(coroutine)
