=== debian/changelog ===
qcoro (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update symbols files from the logs of buildds. (Closes: #1097690)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 20:55:15 +0200

qcoro (0.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Run xvfb-run with -a, to avoid potential collisions.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Simon Quigley ]
  * Update symbols from build logs.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Apr 2025 07:23:13 +0200
