=== debian/watch ===
version=4

https://github.com/qcoro/qcoro/tags /qcoro/qcoro/archive/refs/tags/v([\d.]+).tar.gz
