## qcoro 0.13.0

=== qcoro/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
     NO_CMAKE_CONFIG
     INCLUDEDIR Coro
     CAMELCASE_HEADERS
-        QCoro
         QCoroAsyncGenerator
         QCoroFwd
         QCoroGenerator
@@ -24,9 +23,11 @@
         concepts_p.h
         coroutine.h
         macros_p.h
+        mixins_p.h
         waitoperationbase_p.h
         impl/connect.h
         impl/lazytask.h
+        impl/mixins.h
         impl/task.h
         impl/taskawaiterbase.h
         impl/taskbase.h
@@ -38,6 +39,20 @@
         INTERFACE Core
 )
 
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/qcoro.h.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/qcoro.h"
+    @ONLY
+)
+
+generate_headers(
+    qcoro_cc_HEADERS
+    SOURCE_DIR "${CMAKE_CURRENT_BINARY_DIR}"
+    HEADER_NAMES QCoro
+    OUTPUT_DIR QCoro
+    ORIGINAL_HEADERS_VAR qcoro_lc_HEADERS
+)
+
 if (NOT QCORO_DISABLE_DEPRECATED_TASK_H)
     # Install Task conditionally
     generate_headers(
@@ -46,19 +61,19 @@
         OUTPUT_DIR QCoro
         ORIGINAL_HEADERS_VAR task_lc_HEADERS
     )
-
-    install(
-        FILES ${task_lc_HEADERS}
-        DESTINATION ${QCORO_INSTALL_INCLUDEDIR}/qcoro/
-        COMPONENT Devel
-    )
-    install(
-        FILES ${task_cc_HEADERS}
-        DESTINATION ${QCORO_INSTALL_INCLUDEDIR}/QCoro/
-        COMPONENT Devel
-    )
 endif()
 
+install(
+    FILES ${qcoro_lc_HEADERS} ${task_lc_HEADERS}
+    DESTINATION ${QCORO_INSTALL_INCLUDEDIR}/qcoro/
+    COMPONENT Devel
+)
+
+install(
+    FILES ${qcoro_cc_HEADERS} ${task_cc_HEADERS}
+    DESTINATION ${QCORO_INSTALL_INCLUDEDIR}/QCoro/
+    COMPONENT Devel
+)
 
 # The QCoroCoroConfig includes the QCoroMacros.cmake so we can't
 # use the standard file generated by add_qcoro_library.
