=== debian/changelog ===
qcoro (0.13.0-1ubuntu2) resolute; urgency=medium

  * Build against Qt 6.10.2 private abi.

 -- Rik Mills <rikmills@kde.org>  Mon, 16 Feb 2026 05:41:22 +0000

qcoro (0.13.0-1ubuntu1) resolute; urgency=medium

  * Mark a symbol optional to fix FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Mon, 16 Feb 2026 05:25:51 +0000

qcoro (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Use-dbus-run-session-to-run-D-Bus-tests-instead-of-d.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 09:03:19 +0100

qcoro (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Switch away from dbus-x11: (Closes: #1117104)
    - backport upstream commit de4b2568ef9391db98d678ffab9f3e6313ddb1d3 to use
      dbus-run-session in the test suite rather than dbus-launch; patch
      upstream_Use-dbus-run-session-to-run-D-Bus-tests-instead-of-d.patch
    - switch the dbus-x11 test build dependency to dbus-daemon

 -- Pino Toscano <pino@debian.org>  Sun, 21 Dec 2025 13:05:56 +0100
