=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: qcoro
 Section: libs
-Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.18.4~),
-               dbus-x11 <!nocheck>,
+               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                libqt5websockets5-dev (>= 5.15.0~),
                qt6-websockets-dev (>= 6.2.0~),
@@ -22,7 +22,7 @@
                qtdeclarative5-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qcoro
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qcoro.git
 Homepage: https://qcoro.dev
